Subject: [geonet/its] Geographic Routing in VANET

From: Maaz Rehan <[email-masked]>
Date: Tue, 3 Dec 2013 18:16:14 -0800 (PST)

Hi,

I am Maaz Rehan, a PhD student from Universiti Teknologi PETRONAS, Malaysia.

We are working on Geographic Routing in VANET to improve network throughput and reduce end-to-end delay for Internet-access. In this regard, we have implemented our proposed protocol in Network Simulator 2.33. We have also implemented, an already prevalent protocol PGB, in NS2 since its c++ patch was not available. Currently, we are in the process of adding DV-CAST protocol into NS2. Finally, we shall produce our results.

After reading the proposed 'its' charter text, 
support of Internet-wide geo-routing: data packets are forwarded over multiple hops by using geographical position of destination node(s);
does 'its' feels some interest in the above routing topic?

Maaz Rehan.

On Wednesday, 4 December 2013, 4:01, "[email-masked]" <[email-masked]> wrote:
 
----- Forwarded Message -----

Send its mailing list submissions to
    [email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
    https://www.ietf.org/mailman/listinfo/its
or, via email, send a message with subject or body 'help' to
    [email-masked]

You can reach the person managing the list at
    [email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of its digest..."

Today's Topics:

   1. Re: mobile access routers and geoaware intermediate routers
      (Alexandru Petrescu)
   2. Another interesting use case for geonetworking: CDN    systems
      (Alison Chaiken)
Le 30/11/2013 05:24, Alison Chaiken a écrit :
> Henry asks: Does "mobile RSU" really mean temporary RSU that does not
> ever move while in use?
>
> There are types of position (mobile and installed) and type of roles
> (infrastructure and client, for lack of a better word).    A mobile
> unit can be a client (like a car or fishing boat or camera) or a
> mobile unit can be a data-gathering infrastructure unit (like an ITS
> platoon leader in a designated lane, or a plane that collects data
> from installed sensors in a forest).    An installed unit will be
> infrastructural if it is an RSU transceiver, a loop detector or a
> traffic light camera.   So I would say 3/4 of the boxes in the table
> are populated, unless someone can think of an installed client.

I am trying to understand...

As I read through the paragraph it does make sense.

I like 'installed', as to illustrate something being fixed.  Like in
'installed base'.

I use 'infrastructure' to also mean something fixed, and large size,
like in 'IT infrastructure'.

I wouldnt see a a mobile unit to be a data-gathering infrastructure
unit, because infrastructure were fixed.

And yes, I agree an installed unit would be 'infrastructural' (does this
word exist?) if it had a RSU part in it.

For the word 'transceiver' - any entity be it mobile or installed does
use transceivers.  The receive-only devices are hardly used with IP,
sometimes called unidirectional links, UDLR, satellite, or maybe
'asymmetric' links.

For RSU: it is a term specified at ETSI.  We may use it or invent a new one.

Personally I have a problem with the term RSU because it says it sits on
the side of the road.  But where I live, and I believe other places as
well, for the particular application 'éco-taxe' which does use multiple
802.11p, there are two kinds of fixed units: a 'borne' and a 'portique'.
  The difference between the two is that one is at the side of the road
(a true RSU) and the other is at _both sides and above_ the road.  This
latter would hardly be called road-side unit.

For simplicity in talk, I sometimes refrain completely from using any of
the RSU/OBU/CCU/AU terms and prefer Access Router, Access Point, Mobile
Router, Modem instead.  The net effect is I rarely get the message
through automotive-minded audience.

Alex

> -- Alison

In this interview, a content-delivery network provider talks about
looking up the location of a user who requests a download and
connecting him to the geographically closest provider.    It sounds to
me like CDNs would want to adopt any geonetworking DNS extensions.

http://bsdtalk.blogspot.com/2013/11/bsdtalk235-allan-jude.html

-- 
Alison Chaiken                          [email-masked]
650-279-5600                            http://{she-devel.com,
exerciseforthereader.org}
It's a bug that cars were invented before computers.    -- Eric Schmidt

_______________________________________________
its mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/its

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 06 Dec 2013 15:03:30 +0100

Hi,

Le 04/12/2013 03:16, Maaz Rehan a écrit :
[...]
> After reading the proposed 'its' charter text, support of
> Internet-wide geo-routing: data packets are forwarded over multiple
> hops by using geographical position of destination node(s); does
> 'its' feels some interest in the above routing topic?

I _think_, if I remember correctly, that that phrase assumes forwarding
over multiple hops in the installed infrastructure, from a Server to the
intermediate large routers, from one country to another... and not just
the routing inside the network of vehicles.

We should consider geonetworking (forwarding, naming, addressing) at the
scale of the deployed Internet, and not only between small networks of
vehicles.

In that sense: does the Geographic Routing in VANET considered in your
works work on nodes situated in the installed infrastructure as well?
Or only within VANET?

Alex

>
> Maaz Rehan.
>
>
> On Wednesday, 4 December 2013, 4:01, "[email-masked]"
> <[email-masked]> wrote: ----- Forwarded Message -----
>
> Send its mailing list submissions to [email-masked]
> <mailto:[email-masked]>
>
> https://www.ietf.org/mailman/listinfo/its or, via email, send a
> message with subject or body 'help' to [email-masked]
> <mailto:[email-masked]>
>
> You can reach the person managing the list at [email-masked]
> <mailto:[email-masked]>
>
> (Alexandru Petrescu) 2. Another interesting use case for
> geonetworking: CDN    systems (Alison Chaiken) Le 30/11/2013 05:24,
> Alison Chaiken a écrit :
>> Henry asks: Does "mobile RSU" really mean temporary RSU that does
>> not ever move while in use?
>>
>> There are types of position (mobile and installed) and type of
>> roles (infrastructure and client, for lack of a better word).    A
>> mobile unit can be a client (like a car or fishing boat or camera)
>> or a mobile unit can be a data-gathering infrastructure unit (like
>> an ITS platoon leader in a designated lane, or a plane that
>> collects data from installed sensors in a forest).    An installed
>> unit will be infrastructural if it is an RSU transceiver, a loop
>> detector or a traffic light camera.  So I would say 3/4 of the
>> boxes in the table are populated, unless someone can think of an
>> installed client.
>
> And yes, I agree an installed unit would be 'infrastructural' (does
> this word exist?) if it had a RSU part in it.
>
> For the word 'transceiver' - any entity be it mobile or installed
> does use transceivers.  The receive-only devices are hardly used
> with IP, sometimes called unidirectional links, UDLR, satellite, or
> maybe 'asymmetric' links.
>
> Personally I have a problem with the term RSU because it says it
> sits on the side of the road.  But where I live, and I believe other
> places as well, for the particular application 'éco-taxe' which does
> use multiple 802.11p, there are two kinds of fixed units: a 'borne'
> and a 'portique'. The difference between the two is that one is at
> the side of the road (a true RSU) and the other is at _both sides
> and above_ the road.  This latter would hardly be called road-side
> unit.
>
> For simplicity in talk, I sometimes refrain completely from using
> any of the RSU/OBU/CCU/AU terms and prefer Access Router, Access
> Point, Mobile Router, Modem instead.  The net effect is I rarely get
> the message through automotive-minded audience.
>
> Alex
>
>
>>
>> -- Alison
>>
>
>
>
>
> connecting him to the geographically closest provider.    It sounds
> to me like CDNs would want to adopt any geonetworking DNS
> extensions.
>
> -- Alison Chaiken [email-masked] <mailto:[email-masked]>
> exerciseforthereader.org} It's a bug that cars were invented before
> computers.    -- Eric Schmidt
>
>
>
> _______________________________________________ its mailing list
> [email-masked] <mailto:[email-masked]>
> _______________________________________________ its mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/its
>